<?php
namespace Teknisa\FIN\Modules\ContaReceber\Services\Emissao\Banco;

use Teknisa\FIN\Modules\ContaReceber\Services\Emissao\Exception\ExcecaoBoletoGeralService;
use Teknisa\FIN\Modules\ContaReceber\Services\Emissao\ValidacaoEmissaoBoletoService;

/**
 * Class ValidacaoEmissaoBoletoSantanderService
 * @package Teknisa\FIN\Modules\ContaReceber\Services\Emissao\Banco
 */
class ValidacaoEmissaoBoletoSantanderService extends ValidacaoEmissaoBoletoService
{
    public function valida()
    {
        if ((bool)$this->boleto->getCdcartcobbol()===(false))
            ExcecaoBoletoGeralService::carteiraNaoInformada();

        if ((bool)$this->boleto->getReducont()->getCdcedenteban()===(false))
            ExcecaoBoletoGeralService::codigoCedenteNaoInformado();
    }
}
